ports/157577: Fix port: dns/curvedns should use USERS
Chris Rees
utisoft at gmail.com
Sat Jun 4 08:40:09 UTC 2011
>Number: 157577
>Category: ports
>Synopsis: Fix port: dns/curvedns should use USERS
>Confidential: no
>Severity: non-critical
>Priority: low
>Responsible: freebsd-ports-bugs
>State: open
>Quarter:
>Keywords:
>Date-Required:
>Class: change-request
>Submitter-Id: current-users
>Arrival-Date: Sat Jun 04 08:40:09 UTC 2011
>Closed-Date:
>Last-Modified:
>Originator: Chris Rees
>Release: FreeBSD 8.2-RELEASE-p1 i386
>Organization:
bayofrum
>Environment:
System: FreeBSD zeus.bayofrum.net 8.2-RELEASE-p1 FreeBSD 8.2-RELEASE-p1 #0: Sat Apr 30 15:09:06 BST 2011 root at zeus.bayofrum.net:/usr/obj/usr/src/sys/ZEUS i386
>Description:
This port uses pkg-install to create new users instead of using USERS= and GROUPS=.
>How-To-Repeat:
>Fix:
- Use USERS and GROUPS
Submitted by: Chris Rees (utisoft at gmail.com)
Please bear in mind that pkg-install has been removed
--- dns-curvedns.patch begins here ---
Index: Makefile
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/dns/curvedns/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- Makefile 25 Mar 2011 20:16:51 -0000 1.2
+++ Makefile 2 Jun 2011 15:09:10 -0000
@@ -22,16 +22,10 @@
CONFIGURE_SCRIPT= configure.nacl
ALL_TARGET= # yes, an empty target.
-CURVE_USER= bind
-CURVE_GROUP= bind
-CURVE_UID= 53
-CURVE_GID= 53
-
-SUB_FILES= pkg-install pkg-message pkg-deinstall
-SUB_LIST= CURVE_USER=${CURVE_USER} \
- CURVE_GROUP=${CURVE_GROUP} \
- CURVE_UID=${CURVE_UID} \
- CURVE_GID=${CURVE_GID}
+USERS= bind
+GROUPS= bind
+
+SUB_FILES= pkg-message pkg-deinstall
.include <bsd.port.pre.mk>
@@ -58,7 +52,6 @@
${CHOWN} -R ${CURVE_UID}:${CURVE_GID} ${PREFIX}/etc/curvedns
${CHMOD} 755 ${PREFIX}/etc/curvedns/run ${PREFIX}/etc/curvedns/log/run
${CHMOD} 0700 ${PREFIX}/etc/curvedns/env
- ${SH} ${PKGINSTALL}
@${CAT} ${PKGMESSAGE}
.include <bsd.port.post.mk>
Index: files/pkg-install.in
===================================================================
RCS file: files/pkg-install.in
diff -N files/pkg-install.in
--- files/pkg-install.in 4 Mar 2011 13:45:40 -0000 1.1
+++ /dev/null 1 Jan 1970 00:00:00 -0000
@@ -1,25 +0,0 @@
-#!/bin/sh
-# $FreeBSD: ports/dns/curvedns/files/pkg-install.in,v 1.1 2011/03/04 13:45:40 miwi Exp $
-
-if ! pw groupshow %%CURVE_GROUP%% 2>/dev/null 1>&2; then
- if pw groupadd %%CURVE_GROUP%% -g %%CURVE_GID%%; then
- echo "Added group %%CURVE_GROUP%%"
- else
- echo "Adding group %%CURVE_GROUP%% failed..."
- exit 1
- fi
-fi
-
-if ! pw usershow %%CURVE_USER%% 2>/dev/null 1>&2; then
- if pw useradd %%CURVE_USER%% -u %%CURVE_UID%% -g %%CURVE_GROUP%% -h - \
- -s "/usr/sbin/nologin" -d "/" \
- -c "Bind Sandbox"; \
- then
- echo "Added user %%CURVE_USER%%"
- else
- echo "Adding user %%CURVE_USER%% failed..."
- exit 1
- fi
-fi
-
-exit 0
--- dns-curvedns.patch ends here ---
--
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.
>Release-Note:
>Audit-Trail:
>Unformatted:
More information about the freebsd-ports-bugs
mailing list